# -*- encoding: utf-8 -*-
# stub: paper_trail 12.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "paper_trail".freeze
  s.version = "12.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 1.3.6".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Andy Stewart".freeze, "Ben Atkins".freeze, "Jared Beck".freeze]
  s.date = "2024-03-28"
  s.description = "Track changes to your models, for auditing or versioning. See how a model looked\nat any stage in its lifecycle, revert it to any version, or restore it after it\nhas been destroyed.\n".freeze
  s.email = "jared@jaredbeck.com".freeze
  s.files = ["LICENSE".freeze, "lib/generators/paper_trail/install/USAGE".freeze, "lib/generators/paper_trail/install/install_generator.rb".freeze, "lib/generators/paper_trail/install/templates/add_object_changes_to_versions.rb.erb".freeze, "lib/generators/paper_trail/install/templates/create_versions.rb.erb".freeze, "lib/generators/paper_trail/migration_generator.rb".freeze, "lib/generators/paper_trail/update_item_subtype/USAGE".freeze, "lib/generators/paper_trail/update_item_subtype/templates/update_versions_for_item_subtype.rb.erb".freeze, "lib/generators/paper_trail/update_item_subtype/update_item_subtype_generator.rb".freeze, "lib/paper_trail.rb".freeze, "lib/paper_trail/attribute_serializers/README.md".freeze, "lib/paper_trail/attribute_serializers/attribute_serializer_factory.rb".freeze, "lib/paper_trail/attribute_serializers/cast_attribute_serializer.rb".freeze, "lib/paper_trail/attribute_serializers/object_attribute.rb".freeze, "lib/paper_trail/attribute_serializers/object_changes_attribute.rb".freeze, "lib/paper_trail/cleaner.rb".freeze, "lib/paper_trail/compatibility.rb".freeze, "lib/paper_trail/config.rb".freeze, "lib/paper_trail/events/base.rb".freeze, "lib/paper_trail/events/create.rb".freeze, "lib/paper_trail/events/destroy.rb".freeze, "lib/paper_trail/events/update.rb".freeze, "lib/paper_trail/frameworks/active_record.rb".freeze, "lib/paper_trail/frameworks/active_record/models/paper_trail/version.rb".freeze, "lib/paper_trail/frameworks/cucumber.rb".freeze, "lib/paper_trail/frameworks/rails.rb".freeze, "lib/paper_trail/frameworks/rails/controller.rb".freeze, "lib/paper_trail/frameworks/rails/railtie.rb".freeze, "lib/paper_trail/frameworks/rspec.rb".freeze, "lib/paper_trail/frameworks/rspec/helpers.rb".freeze, "lib/paper_trail/has_paper_trail.rb".freeze, "lib/paper_trail/model_config.rb".freeze, "lib/paper_trail/queries/versions/where_object.rb".freeze, "lib/paper_trail/queries/versions/where_object_changes.rb".freeze, "lib/paper_trail/queries/versions/where_object_changes_from.rb".freeze, "lib/paper_trail/record_history.rb".freeze, "lib/paper_trail/record_trail.rb".freeze, "lib/paper_trail/reifier.rb".freeze, "lib/paper_trail/request.rb".freeze, "lib/paper_trail/serializers/json.rb".freeze, "lib/paper_trail/serializers/yaml.rb".freeze, "lib/paper_trail/type_serializers/postgres_array_serializer.rb".freeze, "lib/paper_trail/version_concern.rb".freeze, "lib/paper_trail/version_number.rb".freeze]
  s.homepage = "https://github.com/paper-trail-gem/paper_trail".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.5.0".freeze)
  s.rubygems_version = "3.4.20".freeze
  s.summary = "Track changes to your models.".freeze

  s.specification_version = 4

  s.add_runtime_dependency(%q<activerecord>.freeze, [">= 5.2"])
  s.add_runtime_dependency(%q<request_store>.freeze, ["~> 1.1"])
  s.add_development_dependency(%q<appraisal>.freeze, ["~> 2.2"])
  s.add_development_dependency(%q<byebug>.freeze, ["~> 11.0"])
  s.add_development_dependency(%q<ffaker>.freeze, ["~> 2.11"])
  s.add_development_dependency(%q<generator_spec>.freeze, ["~> 0.9.4"])
  s.add_development_dependency(%q<memory_profiler>.freeze, ["~> 0.9.14"])
  s.add_development_dependency(%q<rails>.freeze, [">= 5.2"])
  s.add_development_dependency(%q<rake>.freeze, ["~> 13.0"])
  s.add_development_dependency(%q<rspec-rails>.freeze, ["~> 4.0"])
  s.add_development_dependency(%q<rubocop>.freeze, ["~> 1.11.0"])
  s.add_development_dependency(%q<rubocop-rails>.freeze, ["~> 2.9.1"])
  s.add_development_dependency(%q<rubocop-packaging>.freeze, ["~> 0.5.1"])
  s.add_development_dependency(%q<rubocop-performance>.freeze, ["~> 1.10.1"])
  s.add_development_dependency(%q<rubocop-rspec>.freeze, ["~> 2.2.0"])
  s.add_development_dependency(%q<mysql2>.freeze, ["~> 0.5"])
  s.add_development_dependency(%q<pg>.freeze, [">= 0.18", "< 2.0"])
  s.add_development_dependency(%q<sqlite3>.freeze, ["~> 1.4"])
end
